unit DebugWindow;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TDebugWindowForm = class(TForm)
    Memo1: TMemo;
    procedure FormCreate(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
  private

  public

  end;

var
  DebugWindowForm: TDebugWindowForm;

procedure PutMsg(const Msg: string);

implementation

{$R *.dfm}

procedure PutMsg(const Msg: string);
begin
    if (DebugWindowForm.Memo1.Lines.Count > 100) then
    begin
        DebugWindowForm.Memo1.Lines.Delete(0);
    end;
    DebugWindowForm.Memo1.Lines.Add(Msg);
end;

procedure TDebugWindowForm.FormCreate(Sender: TObject);
var
    R: TRect;
begin
    //  ʉ
    SystemParametersInfo(SPI_GETWORKAREA, 0, @R, 0);
    Self.Left := 0;
    Self.Width := (R.Right - R.Left);
    Self.Top := (R.Bottom - Self.Height);
end;

procedure TDebugWindowForm.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
    CanClose := Application.MessageBox(
                    'KɍĂ܂̂ŁAUƍĕ\ł܂B',
                    'mF',
                    MB_OKCANCEL + MB_ICONQUESTION + MB_APPLMODAL)
                = ID_OK;
end;

end.

