program RecentApps;

uses
  Windows,
  Forms,
  iTray in 'iTray.pas',
  Info in 'Info.pas' {InfoForm},
  DummyMain in 'DummyMain.pas' {DummyMainForm},
  iRecentApps in 'iRecentApps.pas',
  DebugWindow in 'DebugWindow.pas' {DebugWindowForm};

{$R *.res}

//-----------------------------------------------------------------------------
//  dNp̔閧̒l
//  http://homepage2.nifty.com/Mr_XRAY/Halbow/Notes/N011.html
const
    UNIQUE_NAM: string = '{5B6816BC-415A-41DE-B20E-7089DADE8FAC}';
    UNIQUE_NUM: Cardinal = $00001112;

//-----------------------------------------------------------------------------
//  ɋNꂽCX^X邩
//  http://homepage2.nifty.com/Mr_XRAY/Halbow/Notes/N011.html
function IsPrevAppExist(Name:string):Boolean;
begin
    CreateMutex(nil, true, PChar(Name));
    Result := (GetLastError = ERROR_ALREADY_EXISTS);
end;

//-----------------------------------------------------------------------------
//  http://homepage2.nifty.com/Mr_XRAY/Halbow/Notes/N011.html
begin
    if not IsPrevAppExist(UNIQUE_NAM) then
    begin
        SetProp(Application.Handle, PChar(UNIQUE_NAM), UNIQUE_NUM);
        try
            Application.Initialize;
            Application.CreateForm(TDummyMainForm, DummyMainForm);
  Application.CreateForm(TDebugWindowForm, DebugWindowForm);
  Application.Run;
        finally
            RemoveProp(Application.Handle,PChar(UNIQUE_NAM));
        end;
    end;
end.

